Kibana 6.x < 6.6.1 Multiple Vulnerabilities

critical Web Application Scanning Plugin ID 98982

Synopsis

Kibana 6.x < 6.6.1 Multiple Vulnerabilities

Description

According to its self-reported version number, the Kibana application running on the remote host is prior to 5.6.15 or 6.x prior to 6.6.1. It is, therefore, affected by the following vulnerabilities:

- A cross-site scripting (XSS) vulnerability that could allow an attacker to obtain sensitive information from or perform destructive actions on behalf of other Kibana users. (CVE-2019-7608)

- An arbitrary code execution flaw in the Timelion visualizer. An attacker with access to the Timelion application could send a request that will attempt to execute javascript code. This could possibly lead to an attacker executing arbitrary commands with permissions of the Kibana process on the host system. (CVE-2019-7609)

- An arbitrary code execution flaw in the security audit logger. If a Kibana instance has the setting xpack.security.audit.enabled set to true, an attacker could send a request that will attempt to execute javascript code. This could possibly lead to an attacker executing arbitrary commands with permissions of the Kibana process on the host system. (CVE-2019-7610)

Note that the scanner has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Upgrade to Kibana version 6.6.1 or later.

See Also

https://www.elastic.co/community/security

Plugin Details

Severity: Critical

ID: 98982

Type: remote

Published: 3/5/2020

Updated: 10/7/2021

Scan Template: scan, pci

Risk Information

CVSS Score Source: CVE-2019-7609

CVSS v2

Risk Factor: Critical

Base Score: 10

Vector: AV:N/AC:L/Au:N/C:C/I:C/A:C

CVSS v3

Risk Factor: Critical

Base Score: 10

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:C/C:H/I:H/A:H

Vulnerability Information

CPE: cpe:2.3:a:elasticsearch:kibana:*:*:*:*:*:*:*:*

Exploit Ease: No known exploits are available

Patch Publication Date: 3/25/2019

Vulnerability Publication Date: 3/25/2019

Reference Information

CVE: CVE-2019-7608, CVE-2019-7609, CVE-2019-7610